Bug 1031307 - [abrt] mate-file-manager-1.6.3-0.9.gitbf47018.fc20: g_type_check_instance: Process /usr/bin/caja was killed by signal 11 (SIGSEGV)
[abrt] mate-file-manager-1.6.3-0.9.gitbf47018.fc20: g_type_check_instance: Pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-user-share (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1e0db676f34042ec055a27f5a68...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 13:04 EST by Alexander
Modified: 2013-11-24 18:44 EST (History)
5 users (show)

See Also:
Fixed In Version: mate-user-share-1.6.1-0.3.git77a6040.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 18:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.06 KB, text/plain)
2013-11-16 13:04 EST, Alexander
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: core_backtrace (14.47 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: dso_list (13.68 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: environ (1.43 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: maps (44.16 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: open_fds (2.80 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: proc_pid_status (786 bytes, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details
File: var_log_messages (1.28 KB, text/plain)
2013-11-16 13:05 EST, Alexander
no flags Details

  None (edit)
Description Alexander 2013-11-16 13:04:49 EST
Description of problem:
Just open Downloads folder with one file, archive fingerprint-gui-1.05.tar.gz inside

Version-Release number of selected component:
mate-file-manager-1.6.3-0.9.gitbf47018.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        caja -n
crash_function: g_type_check_instance
executable:     /usr/bin/caja
kernel:         3.11.8-300.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4082
 #1 g_signal_connect_data at gsignal.c:2435
 #2 caja_user_share_get_location_widget at share-extension.c:191
 #3 caja_location_widget_provider_get_widget at caja-location-widget-provider.c:71
 #4 slot_add_extension_extra_widgets at caja-window-manage-views.c:1651
 #5 update_for_new_location at caja-window-manage-views.c:1867
 #6 location_has_really_changed at caja-window-manage-views.c:1614
 #7 caja_window_report_load_underway at caja-window-manage-views.c:1533
 #8 caja_window_info_report_load_underway at caja-window-info.c:124
 #9 finish_loading at fm-directory-view.c:9447
Comment 1 Alexander 2013-11-16 13:04:58 EST
Created attachment 824940 [details]
File: backtrace
Comment 2 Alexander 2013-11-16 13:05:02 EST
Created attachment 824941 [details]
File: cgroup
Comment 3 Alexander 2013-11-16 13:05:06 EST
Created attachment 824942 [details]
File: core_backtrace
Comment 4 Alexander 2013-11-16 13:05:11 EST
Created attachment 824943 [details]
File: dso_list
Comment 5 Alexander 2013-11-16 13:05:14 EST
Created attachment 824944 [details]
File: environ
Comment 6 Alexander 2013-11-16 13:05:18 EST
Created attachment 824945 [details]
File: exploitable
Comment 7 Alexander 2013-11-16 13:05:22 EST
Created attachment 824946 [details]
File: limits
Comment 8 Alexander 2013-11-16 13:05:26 EST
Created attachment 824947 [details]
File: maps
Comment 9 Alexander 2013-11-16 13:05:29 EST
Created attachment 824948 [details]
File: open_fds
Comment 10 Alexander 2013-11-16 13:05:33 EST
Created attachment 824949 [details]
File: proc_pid_status
Comment 11 Alexander 2013-11-16 13:05:36 EST
Created attachment 824950 [details]
File: var_log_messages
Comment 12 Alexander 2013-11-16 13:07:43 EST
Without any files in Downloads folder Caja still crash when i try to open it
Comment 13 Wolfgang Ulbrich 2013-11-16 14:11:30 EST
Did you shared the folder with mate-user-share?
Comment 14 Alexander 2013-11-17 02:28:49 EST
(In reply to Wolfgang Ulbrich from comment #13)
> Did you shared the folder with mate-user-share?

No, all settings are set to default, system just installed.
Comment 15 Wolfgang Ulbrich 2013-11-17 07:40:59 EST
Hmm, the backtrace pointed me to prob with mate-user-share.
How did you installed MATE?
Can you uninstall mate-user-share if you don't needed?
Comment 16 Alexander 2013-11-17 09:44:09 EST
(In reply to Wolfgang Ulbrich from comment #15)
> Hmm, the backtrace pointed me to prob with mate-user-share.
> How did you installed MATE?
> Can you uninstall mate-user-share if you don't needed?

System installed from netinstall CD with MATE as default. All settings also default.

Without mate-user-share caja don't crash any more, looks like problem really with mate-user-share.
Comment 17 Wolfgang Ulbrich 2013-11-17 15:38:02 EST
(In reply to Alexander from comment #16)
> (In reply to Wolfgang Ulbrich from comment #15)
> > Hmm, the backtrace pointed me to prob with mate-user-share.
> > How did you installed MATE?
> > Can you uninstall mate-user-share if you don't needed?
> 
> System installed from netinstall CD with MATE as default. All settings also
> default.
> 
> Without mate-user-share caja don't crash any more, looks like problem really
> with mate-user-share.
Thanks for info, i'm a little bit surprise that mate-user-share was installed because it isn't only in mate additional group, seems you choose that group in anaconda.
In relation to download folder, is mate-bluetooth installed?
This shouldn't happend because it is obsolete for f20 (missing bluez5 support), until it is ported to bluez5.
Comment 18 Wolfgang Ulbrich 2013-11-17 15:39:48 EST
s(In reply to Wolfgang Ulbrich from comment #17)
> (In reply to Alexander from comment #16)
> > (In reply to Wolfgang Ulbrich from comment #15)
> > > Hmm, the backtrace pointed me to prob with mate-user-share.
> > > How did you installed MATE?
> > > Can you uninstall mate-user-share if you don't needed?
> > 
> > System installed from netinstall CD with MATE as default. All settings also
> > default.
> > 
> > Without mate-user-share caja don't crash any more, looks like problem really
> > with mate-user-share.
> Thanks for info, i'm a little bit surprise that mate-user-share was
> installed because it isn't only in mate additional group, seems you choose
> that group in anaconda.
Sorry, i meant, mate user-share is only in mate application group.
Comment 19 Alexander 2013-11-18 02:11:22 EST
(In reply to Wolfgang Ulbrich from comment #17)

> Thanks for info, i'm a little bit surprise that mate-user-share was
> installed because it isn't only in mate additional group, seems you choose
> that group in anaconda.
> In relation to download folder, is mate-bluetooth installed?
> This shouldn't happend because it is obsolete for f20 (missing bluez5
> support), until it is ported to bluez5.

Maybe i choose mate additional group, i don't remember for now.
Mate-bluetooth isn't installed, it's not available in yum.
Comment 20 Wolfgang Ulbrich 2013-11-20 13:49:32 EST
Could you please test mate-user-share-1.6.1-0.3.git77a6040.fc20 ?
Scratch build at koji.
http://koji.fedoraproject.org/koji/taskinfo?taskID=6206436
Sorry, i can't test if this build fix the issue because i don't have this issue on several f20 installations if mate-user-share is installed.

Thank you.
Comment 21 Alexander 2013-11-20 22:14:47 EST
(In reply to Wolfgang Ulbrich from comment #20)
> Could you please test mate-user-share-1.6.1-0.3.git77a6040.fc20 ?
> Scratch build at koji.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6206436
> Sorry, i can't test if this build fix the issue because i don't have this
> issue on several f20 installations if mate-user-share is installed.
> 
> Thank you.

With mate-user-share-1.6.1-0.3.git77a6040.fc20.i686 everything works fine.
Thank you.
Comment 22 Fedora Update System 2013-11-21 07:04:42 EST
mate-user-share-1.6.1-0.3.git77a6040.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-user-share-1.6.1-0.3.git77a6040.fc20
Comment 23 Fedora Update System 2013-11-23 23:04:59 EST
Package mate-user-share-1.6.1-0.3.git77a6040.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-user-share-1.6.1-0.3.git77a6040.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22054/mate-user-share-1.6.1-0.3.git77a6040.fc20
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2013-11-24 18:44:30 EST
mate-user-share-1.6.1-0.3.git77a6040.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.